[B2G] You can't load a gif on http://m.9gag.com/ if some HTTP requests are still pending

RESOLVED WORKSFORME

Status

()

Core
Audio/Video
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: jlorenzo, Assigned: jlorenzo)

Tracking

unspecified
ARM
Gonk (Firefox OS)
Points:
---

Firefox Tracking Flags

(b2g-v2.0 affected, b2g-v2.1 affected, b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [country-all] [serversniff] [sitewait], URL)

(Assignee)

Description

3 years ago
STR
1. Go to http://m.9gag.com/ and scroll down.
2. Once a gif is displayed, tap on it to make it run.
3. Scroll down until you find another gif, and then play it.

Results
The order is taken into account, but no gif is animated. 

Additional info
When you browse the same website on Firefox desktop (nightly 20150715095506), everything is fine. Hence, I don't think this is a tech evangelism issue, at a first glance.

Repro rate: 10/10

Build info
Build ID               20150716033647
Gaia Revision          981c61cdeb527fac8f8383c110df0e749eff67ea
Gaia Date              2015-07-16 00:34:27
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/72835344333f
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150619.224059
Firmware Date          Fri Jun 19 22:41:08 UTC 2015
Bootloader             s1
(Assignee)

Comment 1

3 years ago
QA wanted for a branch check.
Keywords: qawanted
(Assignee)

Comment 2

3 years ago
> When you browse the same website on Firefox desktop
I mean, when you browse the mobile site with Firefox desktop.

Comment 3

3 years ago
This issue DOES occur on the Aries 2.5, Flame 2.5, 2.2, 2.1 and 2.0.

Result:
Unable to load more than 2 gifs off of http://m.9gag.com 

Environmental Variables:
Device: Aries 2.5 kk
Build ID: 20150716194428
Gaia: 77bc0d940bde2a5d2d4dfadfcccc6d8d77456d36
Gecko: 8d262d1d0ae5
Gonk: 2916e2368074b5383c80bf5a0fba3fc83ba310bd
Version: 42.0a1 (2.5)
Firmware Version: D5803_23.1.A.1.28_NCB.ftf
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Environmental Variables:
Device: Flame 2.5 Kk Full Flash (319mb)
Build ID: 20150716010206
Gaia: 981c61cdeb527fac8f8383c110df0e749eff67ea
Gecko: 72835344333f
Gonk: a4f6f31d1fe213ac935ca8ede7d05e47324101a4
Version: 42.0a1 (2.5)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Environmental Variables:
Device: Flame 2.2 Kk Full Flash (319mb)
Build ID: 20150715002506
Gaia: 84d0c76370dcd3d25813b00de55194730884355b
Gecko: a5db6d9850f6
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 37.0 (2.2)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

Environmental Variables:
Device: Flame 2.1 Kk Full Flash (319mb)
Build ID: 20150716001207
Gaia: cc24cce17ab2ebf79f6505103da714fc65bc5ec1
Gecko: 3e0074546463
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

Environmental Variables:
Device: Flame 2.0 Kk Full Flash (319mb)
BuildID: 20150716000204
Gaia: b16ba05481e577bc644ed8966f587a70fe2148e6
Gecko: 45795565d229
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 32.0 (2.0) 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0
QA Whiteboard: [QAnalyst-Triage?]
status-b2g-v2.0: --- → affected
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
Flags: needinfo?(ktucker)
QA Contact: jthomas
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker)
Keywords: qawanted
(Assignee)

Comment 4

3 years ago
Thanks for the checking. It seems that's an issue with the website itself. Moving the issue to Tech Evangelism.

I checked the network usage and it turns out the server never ends its response. Here's what you get, for instance:

Request headers
> GET /photo/a5KbQNG_460sv.mp4 HTTP/1.1
> Host: img-9gag-fun.9cache.com
> User-Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0
> Accept: video/webm,video/ogg,video/*;q=0.9,application/ogg;q=0.7,audio/*;q=0.6,*/*;q=0.5
> Accept-Language: en-US,en;q=0.5
> Referer: http://m.9gag.com/
> Range: bytes=0-
> Connection: keep-alive

Response header (body never fully sent, I )
> HTTP/1.1 206 Partial Content
> Date: Fri, 17 Jul 2015 08:18:03 GMT
> Content-Type: video/mp4
> Content-Length: 755696
> Connection: keep-alive
> Cache-Control: max-age=311040000, public
> Etag: 19178083cd53acee3844855e6abdba97a7af5b28
> Expires: Sat, 24 May 2025 01:01:27 GMT
> Last-Modified: Thu, 16 Jul 2015 00:42:09 GMT
> x-frame-options: SAMEORIGIN
> Server: NetDNA-cache/2.2
> X-Cache: HIT
> Content-Range: bytes 0-755695/755696

After trying with WebIDE on, I noticed that if you wait for every request to be fulfullied and then you tap on the play button, you can load up more than 2 gifs. Renaming the bug.
Component: Gaia::Browser → Mobile
Product: Firefox OS → Tech Evangelism
Summary: [B2G] You can't load more than 2 gifs on http://m.9gag.com/ → [B2G] You can't load more a gif on http://m.9gag.com/ if some HTTP requests are still pending
(Assignee)

Updated

3 years ago
Summary: [B2G] You can't load more a gif on http://m.9gag.com/ if some HTTP requests are still pending → [B2G] You can't load a gif on http://m.9gag.com/ if some HTTP requests are still pending
(Assignee)

Comment 5

3 years ago
Contacted 9gag through http://9gag.com/contact/, and pointed this page.

Updated

3 years ago
Assignee: nobody → jlorenzo
Whiteboard: [country-all] [serversniff] [sitewait]
(Assignee)

Comment 6

3 years ago
Video of the issue: https://goo.gl/U7YVXC
(Assignee)

Comment 7

3 years ago
After some clarifications, here's the latest reply from 9gag:
> We tested on both desktop and mobile devices with latest Firefox 39.0. 9GAG's .mp4 played well.
> 
> Actually, 9GAG provide both .mp4 / .webm in html5 video tag. Everything is standard, unless the new version Firefox having some problem. 
> We also tested on both firefoxOS 1.1 and 2.0 version (note from jlorenzo: simulator). Worked well, please check :
> http://file-9gag-lol.9cache.com/file/VLpWYXooE/9gag-firefoxos-1.1.mov
> http://file-9gag-lol.9cache.com/file/8nnn3kJGKb/9gag-firefoxos-2.0.mov
> 
> From Firefox doc, the simulator should have some limitation. I wonder whether you met the limitation. Check the attached screenshot.
> 
> 9GAG team already put much time on helping detect the problem. Firefox users on m.9gag.com is < 0.5% of all userbase, and not much of those 0.5% is using FirefoxOS. > So,
> 
> I would like close this support case. 
> 
> Thanks for your understanding,

I confirm that I wasn't able to repro on b2g-desktop. This issue is specific to our device builds, then, and not Tech evangelism. Moving the issue to Core.
Component: Mobile → Audio/Video
Product: Tech Evangelism → Core
(Assignee)

Comment 8

3 years ago
(In reply to Johan Lorenzo [:jlorenzo] (QA) from comment #7)
> After some clarifications, here's the latest reply from 9gag:
> I confirm that I wasn't able to repro on b2g-desktop. 

Correction: I'm not able to repro on the simulator. b2g-desktop is affected.
(Assignee)

Comment 9

2 years ago
I've been able to browse the latest 9gag for many days, without any issue regarding the gifs on:

Build ID               20150817141354
Gaia Revision          60489c1ff8c5d1633fc4837d4f8019623d4e1940
Gaia Date              2015-08-16 02:21:48
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/a6eeb28458fd2652e12e57334f046b7776d75bb4
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150619.224059
Firmware Date          Fri Jun 19 22:41:08 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.